import React, { useState, useEffect } from 'react'
import withLayout from '@/layout'
import './index.scss'
import { Swiper, SwiperItem, Image, ScrollView } from '@tarojs/components'

export default withLayout((props) => {

  const [PageProps] = useState(props)
  const [BannerList, setBannerList] = useState(['', '', ''])
  const [IsPull, setPull] = useState(false)
  const [PullTimer, setPullTimer] = useState(null)

  const PageRefresh = () => { // 页面下拉刷新回调
    clearTimeout(PullTimer)
    setPull(true)
    setPullTimer(setTimeout(() => {
      setPull(false)
    }, 2000))
  }

  return (
    <view className='Page Index'>

      <ScrollView scroll-y={true} refresher-enabled={true} refresher-triggered={IsPull} onrefresherrefresh={PageRefresh} refresher-background='#f8f8f8'>
        <view className='PageContent'>

          {/* banner */}
          <view className='Banner'>
            <view>
              <view>
                <Swiper autoplay={true} interval={2000} indicator-dots={true}>
                  {
                    BannerList.map((item, index) => (
                      <SwiperItem key={`Banner-${index}`}>
                        <view className="swiper-item">
                          {
                            item.img &&
                            <Image mode='widthFix' className='centerLabel' src={item.img || null} />
                          }
                        </view>
                      </SwiperItem>
                    ))
                  }
                </Swiper>
              </view>
            </view>
          </view>

        </view>
      </ScrollView>

    </view>
  )
})
